<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\works;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\works\ServiceWorkLists;
use app\adminapi\logic\works\ServiceWorkLogic;
use app\adminapi\validate\works\ServiceWorkValidate;


/**
 * ServiceWork控制器
 * Class WorksController
 * @package app\adminapi\controller\works
 */
class ServiceWorkController extends BaseAdminController
{


    /**
     * @notes 获取列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/10 15:06
     */
    public function lists()
    {
        return $this->dataLists(new ServiceWorkLists());
    }


    /**
     * @notes 添加
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/10 15:06
     */
    public function add()
    {
        $params = (new ServiceWorkValidate())->post()->goCheck('add');
        $result = ServiceWorkLogic::add($params);
        if (true === $result) {
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(ServiceWorkLogic::getError());
    }


    /**
     * @notes 编辑
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/10 15:06
     */
    public function edit()
    {
        $params = (new ServiceWorkValidate())->post()->goCheck('edit');
        $result = ServiceWorkLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(ServiceWorkLogic::getError());
    }


    /**
     * @notes 删除
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/10 15:06
     */
    public function delete()
    {
        $params = (new ServiceWorkValidate())->post()->goCheck('delete');
        $result = ServiceWorkLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->success('分配成功', [], 1, 1);
    }


    /**
     * @notes 获取详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/10 15:06
     */
    public function detail()
    {
        $params = (new ServiceWorkValidate())->goCheck('detail');
        $result = ServiceWorkLogic::detail($params);
        return $this->data($result);
    }


    public function allocateWorker()
    {
        $params = (new ServiceWorkValidate())->post()->goCheck('allocateWorker');
        $result = ServiceWorkLogic::allocateWorker($params,$this->adminInfo);
        if (true === $result) {
            return $this->success('分配师傅成功', [], 1, 1);
        }
        return $this->fail(ServiceWorkLogic::getError());
    }

}